# Orçamentos

Orçamentos enviados aos clientes, com itens (produtos, serviços e custos adicionais), status comercial e conversão em ordens de serviço.

## Consultar orçamento

 - [GET /quotations/{id}](https://developer.auvo.com.br/openapi/api-reference/orcamentos/retrieve-a-quotation.md): Notes:

- taskIds: returns an empty array [] when the quotation has no associated tasks.

- payment: returns null when the quotation has no installments.

- leadName: returns null when a customer is associated (customerId > 0).

- internalNote: returns null when empty.

## Editar orçamento

 - [PATCH /quotations/{id}](https://developer.auvo.com.br/openapi/api-reference/orcamentos/edit-a-quotation.md): Updates the editable fields of an existing Quotation identified by its unique identifier. Only the properties present in the request body are modified.

## Adicionar novo orçamento

 - [POST /quotations](https://developer.auvo.com.br/openapi/api-reference/orcamentos/add-a-new-quotation.md): Creates a new Quotation in your account using the data provided in the request body.

## Listar orçamentos

 - [GET /quotations](https://developer.auvo.com.br/openapi/api-reference/orcamentos/retrieve-a-list-of-quotations.md): Returns a paginated list of Quotations registered in your account. Use the query parameters to filter, sort and paginate results.

## Adicionar serviço ao orçamento

 - [POST /quotations/{id}/services/{idService}](https://developer.auvo.com.br/openapi/api-reference/orcamentos/add-service-to-quotation.md): Creates a new Service to Quotation in your account using the data provided in the request body.

## Atualizar serviço no orçamento

 - [PUT /quotations/{id}/services/{idService}](https://developer.auvo.com.br/openapi/api-reference/orcamentos/update-service-in-quotation.md): Uses JSONPatchDocument.

## Excluir serviço do orçamento

 - [DELETE /quotations/{id}/services/{idService}](https://developer.auvo.com.br/openapi/api-reference/orcamentos/delete-service-from-quotation.md): Removes a Service from Quotation from your account by its unique identifier. This operation cannot be undone.

## Adicionar produto ao orçamento

 - [POST /quotations/{id}/products](https://developer.auvo.com.br/openapi/api-reference/orcamentos/add-product-to-quotation.md): Creates a new Product to Quotation in your account using the data provided in the request body.

## Atualizar produto no orçamento

 - [PUT /quotations/{id}/products/{idProduct}](https://developer.auvo.com.br/openapi/api-reference/orcamentos/update-product-in-quotation.md): Uses JSONPatchDocument.

## Excluir produto do orçamento

 - [DELETE /quotations/{id}/products/{idProduct}](https://developer.auvo.com.br/openapi/api-reference/orcamentos/delete-product-from-quotation.md): Removes a Product from Quotation from your account by its unique identifier. This operation cannot be undone.

## Criar ou atualizar custo adicional no orçamento

 - [PUT /quotations/{id}/adicost](https://developer.auvo.com.br/openapi/api-reference/orcamentos/upsert-additional-cost-in-quotation.md): Upsert Additional Cost in Quotation.

## Excluir custo adicional do orçamento

 - [DELETE /quotations/{id}/adicost](https://developer.auvo.com.br/openapi/api-reference/orcamentos/delete-additional-cost-from-quotation.md): Removes a Additional Cost from Quotation from your account by its unique identifier. This operation cannot be undone.

